eoAdditiveBinaryEpsilonIndicator(3)

NAME
eoAdditiveBinaryEpsilonIndicator - Functor Additive binary epsilon indicator for eoParetoFitness.

SYNOPSIS

#include <eoBinaryQualityIndicator.h>

Inherits eoBinaryQualityIndicator< EOFitness >< EOFitness >.

  Public Member Functions
eoAdditiveBinaryEpsilonIndicator ()
constructor
double operator() (const EOFitness &_fitness_eo1, const EOFitness &_fitness_eo2)
computation of the maximum epsilon value by which individual _eo1 must be decreased in all objectives such that individual _eo2 is weakly dominated (do not forget to set the bounds before the call of this function)

  Private Types
typedef EOFitness::fitness_traits traits
fitness traits

  Private Member Functions
double epsilonValue (const EOFitness &_fitness_eo1, const EOFitness &_fitness_eo2, const unsigned _iObj)
computation of the epsilon value by which individual _eo1 must be decreased in the objective _iObj such that individual _eo2 is weakly dominated

Detailed Description

  template<class EOFitness> class eoAdditiveBinaryEpsilonIndicator< EOFitness >
Functor Additive binary epsilon indicator for eoParetoFitness.

Definition at line 126 of file eoBinaryQualityIndicator.h.

Member Function Documentation

  template<class EOFitness> double eoAdditiveBinaryEpsilonIndicator< EOFitness >::operator() (const EOFitness & _fitness_eo1, const EOFitness & _fitness_eo2) [inline, virtual]

computation of the maximum epsilon value by which individual _eo1 must be decreased in all objectives such that individual _eo2 is weakly dominated (do not forget to set the bounds before the call of this function)

Parameters:
    EOFitness & _fitness_eo1 the fitness of the first individual
    EOFitness & _fitness_eo2 the fitness of the second individual

Implements eoBF< const EOFitness &, const EOFitness &, double >.

Definition at line 149 of file eoBinaryQualityIndicator.h.

References eoAdditiveBinaryEpsilonIndicator< EOFitness >::epsilonValue().

  template<class EOFitness> double eoAdditiveBinaryEpsilonIndicator< EOFitness >::epsilonValue (const EOFitness & _fitness_eo1, const EOFitness & _fitness_eo2, const unsigned _iObj) [inline, private]

computation of the epsilon value by which individual _eo1 must be decreased in the objective _iObj such that individual _eo2 is weakly dominated

Parameters:
    EOFitness & _fitness_eo1 the fitness of the first individual
    EOFitness & _fitness_eo2 the fitness of the second individual
    unsigned _iObj the index of the objective

Definition at line 181 of file eoBinaryQualityIndicator.h.

Referenced by eoAdditiveBinaryEpsilonIndicator< EOFitness >::operator()().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.